Bug 197476 - Review Request: python-cvstoys
Review Request: python-cvstoys
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-02 15:49 EDT by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-06 15:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J Knox 2006-07-02 15:49:15 EDT
Spec URL: http://www.knox.net.nz/~michael/python-cvstoys.spec
SRPM URL: http://www.knox.net.nz/~michael/python-cvstoys-1.0.10-1.src.rpm

Description: 

CVSToys is a collection of companion tools for the Concurrent Versions System,
better known as CVS.  The biggest best and only toy we've got is Fresh CVS,
a commit monitoring daemon which can keep a mirror of the repository or
checked-out working copy up to date, and send out notifications by e-mail, on
the web as HTML or RSS, or to a chat service such as IRC.
Comment 1 Jochen Schmitt 2006-07-03 13:45:06 EDT
Good:
+ Tarball in SRPM match with upstream.
+ Local build works fine.
+ License OK.
+ rpmlint of source RPM ok.
+ Mock build works fine on FC-5 as root.

Bad:
- No verbatin license in %doc stanza
- I think the Group should be Development/Tools
- Why you set CFLAGS, when no binary file will be created
- rpmlint have the following complaints to the binary RPM.
E: python-cvstoys non-executable-script 
/usr/lib/python2.4/site-packages/cvstoys/setup.py 0644
E: python-cvstoys non-executable-script
/usr/lib/python2.4/site-packages/cvstoys/loginfo.py 0644
E: python-cvstoys non-executable-script
/usr/lib/python2.4/site-packages/cvstoys/clients/words.py 0644
Comment 2 Michael J Knox 2006-07-03 19:28:43 EDT
Updated:

Spec URL: http://www.knox.net.nz/~michael/python-cvstoys.spec
SRPM URL: http://www.knox.net.nz/~michael/python-cvstoys-1.0.10-2.src.rpm

There is no license file provided, upstream has been contacted. 

As for the rpmlint errors, I check other python packages and they were the same. 
Comment 3 Paul Howarth 2006-07-04 02:11:58 EDT
(In reply to comment #2)
> As for the rpmlint errors, I check other python packages and they were the same. 

However, they should be fixable by editing out the shellbangs from the files
concerned, which would shut rpmlint up and make everyone happy :-)
Comment 4 Michael J Knox 2006-07-04 02:36:52 EDT
is that the correct way to fix it? this certainly isn't happening with existing
python-* packages. 
Comment 5 Paul Howarth 2006-07-04 03:38:03 EDT
(In reply to comment #4)
> is that the correct way to fix it?

Yes. The shellbangs are put there by the upstream developers so that they can
run individual parts of the package on their own for debugging. Given that the
files are not installed with exec permissions, this isn't something that an end
user is going to be needing to do.

> this certainly isn't happening with existing
> python-* packages. 

Perhaps many reviewers are happy to let them go because it's not an important
issue (true in itself), or because they don't know how to fix it, or because
they think the fix clutters the spec file and is therefore worse than the
problem itself? My view is that it's best to shut rpmlint up as much as is
reasonably possible (some things just can't be fixed because the package
wouldn't work if they were), so that rpmlint generates as little output as
possible. The benefit of this is that any new issues that crop up with package
version or rpmlint changes are less likely to be lost amongst a barrage of
unimportant issues.

Comment 6 Michael J Knox 2006-07-04 03:46:31 EDT
OK, I will patch it up shortly. Only asked cuz I didn't know and its not been
covered in the python packaging guidelines :) 
Comment 7 Paul Howarth 2006-07-04 05:17:56 EDT
(In reply to comment #6)
> OK, I will patch it up shortly. Only asked cuz I didn't know and its not been
> covered in the python packaging guidelines :) 

It's not a python-specific thing; it happens quite often with perl modules too.
Comment 8 Michael J Knox 2006-07-05 03:38:41 EDT
OK, patched... rpmlint is rather quiet now :-) 

Updates:

Spec URL: http://www.knox.net.nz/~michael/python-cvstoys.spec
SRPM URL: http://www.knox.net.nz/~michael/python-cvstoys-1.0.10-3.src.rpm
Comment 9 Jochen Schmitt 2006-07-06 11:58:33 EDT
rpmlint is noew quite for the binary rpm.

So I will APPROVE your package.
Comment 10 Michael J Knox 2006-07-06 15:32:01 EDT
awesome. Thank you. In devel now and building. 

Note You need to log in before you can comment on or make changes to this bug.